Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

Get a production order

Scope: inventory:production-orders.read https://api.alladdin.com/api/v2/production-orders/{productionOrderId}

Retrieves the full details of a single production order by its unique identifier.

Parameters

Path parameters

productionOrderId string required

Production Order ID (24-char hex ObjectId)

Request

python
import requests

url = "https://api.alladdin.com/api/v2/production-orders/{productionOrderId}"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "id": "507f1f77bcf86cd799439011",
  "document_number": "string",
  "contact_id": "string",
  "contact_name": "string",
  "supplier_id": "string",
  "supplier_name": "string",
  "description": "string",
  "date": "2024-01-15",
  "due_date": "2024-02-15",
  "cost": "150.00",
  "currency": "EUR",
  "tags": [
    "string"
  ],
  "manufacturing_pipeline_id": "string",
  "manufactured_product": {
    "product_id": "string",
    "name": "string",
    "sku": "string",
    "kind": "string",
    "quantity": "10.00",
    "variant_ids": [
      {
        "id": "string",
        "units": 0
      }
    ]
  },
  "source_warehouse_id": "string",
  "destination_warehouse_id": "string",
  "is_built": false,
  "is_valued": false,
  "notes": "string",
  "language": "es",
  "subtotal": "150.00",
  "total": "150.00",
  "materials": [
    {
      "product_id": "string",
      "service_id": "string",
      "name": "string",
      "description": "string",
      "price": "10.00",
      "units": "5.00",
      "type": "product",
      "sku": "string",
      "barcode": "string",
      "factory_code": "string"
    }
  ],
  "files": [
    "string"
  ],
  "from": {
    "id": "string",
    "doc_type": "string"
  },
  "converted_to": [
    {
      "id": "string",
      "doc_type": "string"
    }
  ],
  "number_line_id": "string",
  "design_id": "string",
  "is_pdf": false,
  "user_id": "string"
}

Success responses

200 Production order found application/json object id string document_number string contact_id string | null contact_name string | null supplier_id string | null supplier_name string | null description string date string<date> | null

Issue date in ISO 8601 format

due_date string<date> | null

Due date in ISO 8601 format

cost string

Total cost as a decimal string

currency string tags[] string[] manufacturing_pipeline_id string | null manufactured_product object | null product_id string name string sku string kind string quantity string variant_ids[] object[] source_warehouse_id string | null destination_warehouse_id string | null is_built boolean is_valued boolean notes string language string subtotal string

Subtotal as a decimal string

total string

Total as a decimal string

materials[] object[] product_id string | null service_id string | null name string description string | null price string units string type string Enum: product service line sku string | null barcode string | null factory_code string | null files[] string[] | null from object | null

Source document this production order was created from

id string doc_type string converted_to[] object[] | null id string doc_type string number_line_id string | null design_id string | null is_pdf boolean user_id string | null

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Production order not found application/json 429 Rate limit exceeded application/json

← PreviousList production orders →

Next →Delete a production order →